@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    border: none;
    outline: none;
    scroll-behavior: smooth;
    font-family: 'Poppins', sans-serif;
}

:root {
    --cf-color: #000000;
    --secundaria-cf-color: #1a1919;
    --texto-color: #fff;
    --principal-color: #341d86;
}

html {
    font-size: 62.5%;
    overflow-x: hidden;
}

body {
    background: var(--cf-color);
    font-family: "Poppins", sans-serif;
    color: var(--texto-color);
}

html::-webkit-scrollbar {
    width: 0.8rem;
}

html::-webkit-scrollbar-track {
    background: var(--cf-color);
}

html::-webkit-scrollbar-thumb {
    background: var(--principal-color);
}

.header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    padding: 3rem 9%;
    background: rgba(0, 0, 0, 0.7);
    filter: drop-shadow(10px);
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 100;
}

.logo {
    font-size: 3rem;
    color: var(--principal-color);
    font-weight: 800;
    cursor: pointer;
    transition: 0.5s ease;
}

.logo:hover {
    transform: scale(1.1);
}

.navlist {
    display: flex;
    gap: 4rem;
    justify-content: center;
}

.navlist a {
    font-size: 1.8rem;
    color: white; /* Cor padrão do texto */
    margin-left: 4rem;
    font-weight: 500;
    transition: 0.3s ease;
    border-bottom: 3px solid transparent;
}

.navlist a:hover {
    color: var(--principal-color); /* Cor ao passar o mouse */
}

.navlist a.active {
    color: var(--principal-color); /* Cor do item ativo */
    border-bottom: 3px solid var(--principal-color); /* Destaque adicional */
}

.icon-menu {
    font-size: 3.6rem;
    color: var(--principal-color);
    display: none;
    cursor: pointer;
    z-index: 110; /* Garantir que esteja acima do menu */
}

/* Certifique-se de que o menu de navegação esteja visível em telas maiores */
@media (min-width: 996px) {
    .navlist {
        display: flex; /* Exibe o menu de navegação em telas maiores */
    }
}

@media (max-width: 995px) {
    .icon-menu {
        display: block;
    }

    .navlist {
        position: absolute;
        top: 100%;
        right: 0;
        width: 50%;
        padding: 2rem;
        background-color: var(--secundaria-cf-color);
        border-left: 3px solid var(--principal-color);
        border-bottom: 3px solid var(--principal-color);
        border-bottom-left-radius: 2rem;
        display: none;
        flex-direction: column;
    }

    .navlist.active {
        display: flex;
    }

    .navlist a {
        font-size: 2rem;
        margin: 1rem 0;
    }

    .navlist a:hover,
    .navlist a.active {
        padding: 1rem;
        border-radius: 0.5rem;
        border-bottom: 3px solid var(--principal-color);
    }
}


section {
    min-height: 100vh;
    padding: 5rem 9% 5rem;
}

.home {
    padding-top: 120px;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 8rem;
    background: var(--cf-color);
}

.home .home-content h1 {
    font-size: 6rem;
    font-weight: 700;
    line-height: 1.3;
}

span {
    color: var(--principal-color);
}

.home-content h3 {
    font-size: 4rem;
    margin-bottom: 1rem;
    font-weight: 700;
}

.home-img {
    border-radius: 50%;
}

.home-img img {
    position: relative;
    width: 32vw;
    border-radius: 50%;
    box-shadow: 0 0 25px var(--principal-color);
    cursor: pointer;
}

.home-img img:hover {
    transform: scale(1.01);
    filter: drop-shadow( 0 0 25px var(--principal-color));
}

.home-content p {
    text-align: justify;
    font-size: 1.8rem;
    font-weight: 500;
}

.socialmedia-icons a{
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 4rem;
    height: 4rem;
    background: transparent;
    border: 0.2rem solid var(--principal-color);
    font-size: 2rem;
    border-radius: 50%;
    color: var(--principal-color);
    margin: 3rem 1.5rem 3rem 0;
    transition: 0.3s ease;
}

.socialmedia-icons a:hover {
    color: black;
    transform: scale(1.3)translateY(-5px);
    background: var(--principal-color);
    box-shadow: 0 0 25px var(--principal-color);
}

.btn {
    display: inline-block;
    padding: 1rem 2.8rem;
    background: var(--cf-color);
    border-radius: 4rem;
    font-size: 1.6rem;
    color: var(--principal-color);
    border: 2px solid var(--principal-color);
    letter-spacing: 0.1rem;
    font-weight: 600;
    transition: 0.3s ease;
    cursor: pointer;
}

.btn:hover {
    transform: scale(1.03);
    background-color: var(--principal-color);
    color: black;
    box-shadow: 0 0 25px var(--principal-color);
}

/*.smart-text {
    font-size: 34px;
    font-weight: 600;
    min-width: 280px;
}

.smart-text span {
    position: relative;
}

.smart-text span::before {
    content: 'Desenvolvedor de Software';
    color: var(--principal-color);
    animation: words 20s infinite;
}

.smart-text span::after {
    content: '';
    background: var(--cf-color);
    position: absolute;
    width: calc(100% + 8px);
    height: 100%;
    border-left: 3px solid var(--cf-color);
    right: -8;
    animation: cursor 0.6 infinite, typing 20s steps(14) infinite;
}

@keyframes cursor {
    to {
        border-left: 3px solid var(--principal-color);
    }
}

@keyframes words {
    0%, 34% {
        content: 'Dev Bosch';
    }

    34%, 67% {
        content: 'Programador';
    }

    68%, 100% {
        content: 'Estudante de CCo';
    }


}
@keyframes typing {
    0%, 15%,
    30%, 45%,
    75%, 100% {
        width: 0;
    }   
    16%, 44%,
    46%, 74% {
        width: calc(100% + 8px);
    }
}*/

@media (max-width:1000px) {
    .home {
        gap: 4rem;
    }
}

@media (max-width:995px) {
    .home {
        flex-direction: column;
        margin: 5rem 4rem;
    }
    .home .home-content h3 {
        font-size: 2.5rem;
    }
    .home-content h1 {
        font-size: 5rem;
    }
    .home-img img {
        width: 70vw;
        margin-top: 4rem;
    }
}

/* Sessão de serviços */
.services {
    background: var(--secundaria-cf-color);
    padding: 5rem 2%; /* Ajuste para telas menores */
}

.services-container {
    display: flex;
    flex-wrap: wrap;
    gap: 2.5rem;
    justify-content: center; /* Alinha cards no centro */
}

.service-box {
    background-color: var(--principal-color);
    border-radius: 3rem;
    cursor: pointer;
    transition: 0.3s ease;
    padding: 2rem; /* Garante que o conteúdo fique interno ao card */
    width: 100%; /* Largura padrão para telas menores */
    max-width: 400px; /* Limita o tamanho máximo */
    box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1); /* Estilo adicional */
    margin: 0 auto
}

.service-box:hover {
    background: #fff;
    color: var(--principal-color);
    transform: scale(1.03);
    border: 1px solid var(--principal-color);
}

.service-box .service-info {
    display: flex;
    flex-direction: column;
    text-align: center;
    justify-content: center;
    align-items: center; /* Centraliza os textos */
    padding: 1rem; /* Adiciona espaço interno consistente */
}

.heading {
    text-align: center;
    font-size: 6rem;
    font-weight: 600;
    margin-bottom: 2rem;
}

.service-info h4 {
    font-size: 2.2rem;
    font-weight: 500;
    margin-bottom: 1rem;
}

.service-info p {
    font-size: 1.6rem;
    font-weight: 400;
    line-height: 1.5; /* Melhora a leitura */
    margin: 0 auto;
    word-wrap: break-word; /* Quebra textos longos */
    overflow: visible; /* Permite que o texto seja exibido */
    text-overflow: unset; /* Remove o corte com "..." */
    max-height: unset; /* Remove a limitação de altura */
}

/* Estilos responsivos */
@media (max-width: 991px) {
    .services-container {
        flex-direction: column; /* Empilha os cards */
        gap: 1.5rem;
    }

    .service-box {
        max-width: 100%; /* Garante que use toda a largura */
        width: 90%;
    }

    .heading {
        font-size: 4rem; /* Reduz o tamanho do título */
    }

    .service-info h4 {
        font-size: 2rem; /* Ajuste adicional para títulos */
    }

    .service-info p {
        font-size: 1.4rem; /* Reduz texto para legibilidade */
        overflow: visible; /* Garante que todo texto seja visível */
    }
}

/*Sessão de habilidades (skills)*/

.skills {
    display: none;
    background: var(--secundaria-cf-color);
}

.skills .container {
    background: var(--principal-color);
    color: var(--texto-color);
    border-radius: 1rem;
    padding: 2rem;
    width: 70%;
    margin: auto;
    margin-top: 2rem;
}

.skills .container .row {
    display: flex;
    margin: auto;
    align-content: center;
    grid-template-columns: repeat(6, 1fr);
    flex-wrap: wrap;
    gap: 1.8rem;
}

.skills .container .bar {
    /*margin-bottom: 15px;*/
    width: 18vw;
    margin: auto;
    padding: 10px;
    border-radius: 1rem;
    background: var(--secundaria-cf-color);
    transition: 0.3s ease;
    cursor: pointer;
}

.skills .container .bar:hover {
    box-shadow: 0 4px 10px var(--principal-color);
    transform: scale(1.03);
}

.skills .container .bar .info {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap:1rem;
    margin-top: 1rem;
}

.skills .container .bar .info span {
    font-display: flex;
    font-size: 1.5rem;
    font-weight: 500;
    margin-left: 0.5rem;
}

@media screen and (max-width:600px) {
    .skills .container {
        margin: 0;
        padding: 0;
    }

    .skills .container .row {
        grid-template-columns: repeat(2, 1fr);
        margin: 1rem;
        padding: 2rem 0.2rem 2rem 0.2rem;
        gap: 1rem;
    }

    .skills .container {
        margin-top: 5px;
        width: 100%;
    }
}

/* Sessão de formação*/

.education {
    background: var(--secundaria-cf-color);
}

.education .timeline {
    position: relative;
    max-width: 1200px;
    margin: 0 auto;
}

.education .timeline::after {
    content: '';
    position: absolute;
    width: 6px;
    background: rgb(145, 134, 134);
    top: 0;
    bottom: 0;
    left: 50%;
    margin-left: -3px;
    z-index: -2px;
}

.education .container {
    padding: 10px 40px;
    position: relative;
    background-color: inherit;
    width: 50%;
}

.education .container::after {
    content: '\f501';
    position: absolute;
    width: 25px;
    height: 25px;
    line-height: 25px;
    right: -17px;
    background-color: rgb(240, 240, 240);
    border: 4px solid var(--principal-color);
    top: 15px;
    border-radius: 50%;
    z-index: 1;
    font-size: 1.89rem;
    text-align: center;
    font-weight: 600;
    font-family: "Font Awesome\ 5 Free";
    color: rgb(145, 134, 134);
}

.education .left {
    left: 0;
}

.education .right {
    left: 50%;
}

.education .left::before {
    content: '';
    height: 0;
    position: absolute;
    top: 22px;
    width: 0;
    z-index: 1;
    right: 30px;
    border: medium solid var(--principal-color);
    border-width: 10px 0 10px 10px;
    border-color: transparent transparent transparent var(--principal-color);
}

.education .right::before {
    content: '';
    height: 0;
    position: absolute;
    top: 22px;
    width: 0;
    z-index: 1;
    left: 30px;
    border: medium solid var(--principal-color);
    border-width: 10px 10px 10px 0;
    border-color: transparent var(--principal-color) transparent transparent;
}

.education .right::after {
    left: -16px;
}

.education .content {
    background: var(--principal-color);
    position: relative;
    border-radius: 6px;
}

.education .content .tag {
    font-size: 2.5rem;
    padding-top: 1.5rem;
    padding-left: 1.5rem;
}

.education .content .decs {
    margin-left: 1.5rem;
    margin-right: 1.5rem;
    padding-bottom: 1rem;
}

.education .content .tag h2 {
    font-size: 1.5rem;
    font-weight: 600;
}

.education .content .decs p {
    font-size: 1.3rem;
    font-weight: 500;
    text-align: justify;
}

@media screen and (max-width:600px) {

    .home {
        padding-top: 15px;
    }

    .home .home-content h1 {
        font-size: 4.7rem;
        font-weight: 700;
        line-height: 1.3;
    }

    .education .timeline {
        margin-top: 2rem;
    }

    .education .timeline::after {
        left: 31px;
    }

    .education .container {
        width: 100%;
        padding-left: 8rem;
        padding-right: 2rem;
    }

    .education .container::before {
        left: 61px;
        border: medium solid var(--principal-color);
        border-width: 10px 10px 10px 0;
        border-color: transparent var(--principal-color) transparent transparent;
    }

    .education .left::after {
        left: 15px;
    }

    .education .right::after {
        left: 15px;
    }

    .education .right {
        left: 0%;
    }
}

/*Sessão de contato*/

.contact form {
    max-width: 70rem;
    margin: 1rem auto;
    margin-bottom: 3rem;
    text-align: center;
}

.contact form .input-box {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
}

.contact form .input-box input,
.contact form textarea {
    width: 100%;
    padding: 1.5rem;
    font-size: 1.6rem;
    color: var(--texto-color);
    background: var(--cf-color);
    border-radius: 0.8rem;
    border: 2px solid var(--principal-color);
    margin: 1rem 0;
    resize: none;
}

.contact form .btn {
    margin-top: 2rem;
}

/* Footer */

.footer {
    position: relative;
    bottom: 0;
    width: 100%;
    padding: 40px 0;
    background-color: var(--principal-color);
}

.footer .social {
    text-align: center;
    padding-bottom: 25px;
    color: black;
}

.footer .social a {
    font-size: 25px;
    color: black;
    border: 2px solid black;
    width: 42px;
    height: 42px;
    line-height: 42px;
    display: inline-block;
    text-align: center;
    border-radius: 50%;
    margin: 0 10px;
    transition: 0.3s ease;
}

.footer .social a:hover {
    transform: scale(1.2)translateY(-5px);
    background: black;
    color: var(--principal-color);
}

.footer ul {
    margin-top: 0;
    padding: 0;
    font-size: 18px;
    line-height: 1.8;
    margin-bottom: 0;
    text-align: center;
}

.footer ul li a {
    color: black;
    border-bottom: 3px solid transparent;
    transition: 0.3s ease;
}

.footer ul li a:hover {
    border-bottom: 3px solid black;
}

.footer ul li {
    display: inline-block;
    padding: 0px 15px;
}

.footer .copyright {
    margin-top: 50px;
    text-align: center;
    font-size: 16px;
    color: black;
}

@media(max-width:1285px) {
    html {
        font-size: 55%;
    }

    .services-container {
        padding-bottom: 7rem;
        grid-template-columns: repeat(2, 1fr);
        margin: 0 5rem;
    }
}

@media(max-width:991px) {
    .header {
        padding: 2rem 3%;
    }

    .section {
        padding: 10rem 3% 2rem;
    }

    .services {
        padding-bottom: 7rem;
    }

    .footer {
        padding: 2rem 3%;
    }
}

/* Sessão de Projetos */
.projects {
    background: var(--cf-color); /* Cor de fundo */
    padding: 5rem 2%;
}

.projects-container {
    display: flex;
    flex-wrap: wrap;
    gap: 2.5rem;
    justify-content: center;
    padding: 0 1rem; /* Adicionando um pouco de padding para telas pequenas */
}

.project-card {
    background-color: var(--principal-color); /* Cor do card */
    border-radius: 2rem;
    overflow: hidden; /* Garante que nada ultrapasse os limites */
    max-width: 400px; /* Limita o tamanho do card */
    width: 100%; /* Responsividade */
    box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    cursor: pointer;
    margin: 0 auto; /* Centraliza o card */
    position: relative; /* Necessário para o posicionamento absoluto interno */
}

.project-card:hover {
    transform: scale(1.05); /* Efeito ao passar o mouse */
    box-shadow: 0px 6px 10px rgba(0, 0, 0, 0.2);
}

.project-image {
    width: 100%;
    height: 300px; /* Altura fixa para uniformidade */
    object-fit: cover; /* Ajusta a imagem ao tamanho */
    transition: transform 0.3s ease; /* Efeito para suavidade */
}

.image-container {
    position: relative;
    overflow: hidden; /* Garante que nada ultrapasse o limite do contêiner */
    height: 300px; /* Altura para conter a imagem */
}

.project-info {
    position: absolute;
    bottom: 0;
    width: 100%;
    background: var(--principal-color);
    color: #fff;
    text-align: center;
    padding: 0.8rem 1.5rem 1.5rem 1.5rem;
    transform: translateY(78%); /* Inicialmente fora de vista */
    transition: transform 0.3s ease;
    z-index: 1;
}

.project-card:hover .project-title {
    transform: translateY(0); /* Exibe o título */
}

.project-card:hover .project-info {
    transform: translateY(0); /* Revela as informações */
}

.project-info h4 {
    font-size: 2rem;
    font-weight: 600;
    margin-bottom: 1rem;
}

.project-info p {
    font-size: 1.6rem;
    font-weight: 400;
    line-height: 1.5;
    margin-bottom: 1.5rem;
}

.technologies {
    display: flex;
    justify-content: center;
    gap: 1rem;
    font-size: 2.5rem; /* Tamanho dos ícones */
}

.technologies i {
    transition: transform 0.3s ease, color 0.3s ease;
}

.technologies i:hover {
    transform: scale(1.2); /* Efeito ao passar o mouse */
    color: #fff; /* Cor ao passar o mouse */
}

/* Responsividade */
@media (max-width: 991px) {
    .projects-container {
        flex-direction: column; /* Empilha os cards */
        gap: 2rem;
        padding: 0 1rem; /* Ajuste do padding para telas pequenas */
    }

    .project-card {
        max-width: 100%; /* Ocupa toda a largura disponível */
        width: 100%; /* Garantir que ocupe 100% da largura */
        margin: 0 auto; /* Centraliza os cards */
    }

    .project-info {
        padding: 0.2rem 1.5rem 1.5rem 1.5rem;
        transform: translateY(68%); /* Inicialmente fora de vista */
    }

    .project-info h4 {
        font-size: 1.8rem;
        padding: 20px;
    }

    .project-info p {
        font-size: 1.4rem;
    }

    .technologies {
        font-size: 2rem; /* Reduz o tamanho dos ícones */
    }
}

/* Seção de ícones de tecnologia */
.tech-icons {
    display: flex;
    justify-content: center; /* Alinha os ícones no centro */
    gap: 2rem; /* Espaçamento entre os ícones */
    margin-top: 3rem; /* Espaço entre a descrição e os ícones */
}

.tech-icons i {
    font-size: 4rem; /* Tamanho dos ícones */
    color: var(--principal-color); /* Cor dos ícones */
    transition: transform 0.3s ease, color 0.3s ease; /* Efeito de transição */
}

/* Efeito ao passar o mouse sobre os ícones */
.tech-icons i:hover {
    transform: scale(1.2); /* Aumenta o ícone */
    color: #fff; /* Muda a cor ao passar o mouse */
}

/* Responsividade */
@media (max-width: 991px) {
    .tech-icons {
        gap: 1.5rem; /* Menor espaço entre os ícones em telas menores */
    }

    .tech-icons i {
        font-size: 3rem; /* Ajuste do tamanho dos ícones em telas menores */
    }
}